#!/bin/bash

if [ -z $1 ]; then
    echo "need to specify a URL to hit"
    exit
fi

export IFS=$'\n' 
for ua in `cat user-agents.txt`; do 
    echo -e "\n================================\ntesting ${ua}...\n"
    curlout=`curl -v -s \
        -H 'Accept-Encoding: gzip, deflate, sdch' \
        --compressed \
	-A "${ua}" \
        ${1} \
        2>&1 \
        | tr -d '\r'`
    echo -e "\`\`\`\n${curlout}\n\`\`\`\n"
    encodingpresent=`echo "${curlout}" | grep "Content-Encoding: gzip"`
    echo -e "Grep for Content-Encoding: \"${encodingpresent}\"\n"
    if [ -z $encodingpresent ]; then
	echo "didn't get \"Content-Encoding: gzip\" for this UA."
    else
	echo "Accept-Encoding respected for this UA."
    fi
    echo -e "----------------------\n"
done
